Subject: [CCAMP] Request for early IANA Allocation of values for new flag and RRO sub-object in draft-ietf-ccamp-rsvp-te-srlg-collect-03

From: Oscar González de Dios <[email-masked]>
Date: Tue, 01 Oct 2013 07:38:05 +0000

Dear CCAMP WG chairs,

Following the procedure for Early IANA Allocation of Standards Track Code Points defined in Section 3.1 of RFC 4020, on behalf of the authors of the WG draft "RSVP-TE Extensions for Collecting SRLG Information", draft-ietf-ccamp-rsvp-te-srlg-collect-03, it is requested to CCAMP WG chairs the early allocation  of the following values:

-->  Value for a new flag, named "SRLG Collection Flag" in the RSVP Attribute Bit Flags space. IANA has created a registry and manages the space of attributes bit flags of Attribute Flags TLV, as described in section 11.3 of [RFC5420], in the "Attributes TLV Space" section of the "Resource Reservation Protocol-Traffic Engineering (RSVP-TE) Parameters" registry located in https://www.iana.org/assignments/rsvp-te-parameters/rsvp-te-parameters.xhtml.
     The  document "RSVP-TE Extensions for Collecting SRLG Information",draft-ietf-ccamp-rsvp-te-srlg-collect-03, introduces and defines a new Attribute Bit Flag, named "SRLG Collection Flag". It is requested that IANA makes an early assignment of the  value of the "SRLG Collection Flag" from the Attribute Bit Flags.

-->  Type for a new RRO sub-object, named "SRLG sub-object " within the ROUTE_RECORD Object space. IANA has made assignments in the "Class Names, Class Numbers, and Class Types" section of the "RSVP PARAMETERS" registry located at http://www.iana.org/assignments/rsvp-parameters.
It is requested that IANA makes an early assignment of the type of the new proposed RRO sub object in the document draft-ietf-ccamp-rsvp-te-srlg-collect-03 named "SRLG sub-object" from the ROUTE_RECORD portions of the mentioned registry.

The main reason for the request of the early allocation is to facilitate interoperability of early implementations, as other WG documents have also new values in the same registry and clashes have been identified with the suggested values in the drafts. We only request the allocation of those parameters whose definition we think to be stable.
Best Regards,

Oscar

________________________________

Este mensaje se dirige exclusivamente a su destinatario. Puede consultar nuestra política de envío y recepción de correo electrónico en el enlace situado más abajo.
This message is intended exclusively for its addressee. We only send and receive email on the basis of the terms set out at:
http://www.tid.es/ES/PAGINAS/disclaimer.aspx

---

From: Lou Berger <[email-masked]>
Date: Thu, 10 Oct 2013 17:44:44 -0400

Oscar, Authors,
	We'd like to allow a bit more time for the generic SO flags discussion
to play out before moving forward on this, as the format of the SO may
be impacted.  My be is that sometime soon after Vancouver will be the
right time to re ask.

Lou (and Deborah)

On 10/1/2013 3:38 AM, Oscar González de Dios wrote:
> Dear CCAMP WG chairs,
> 
> Following the procedure for Early IANA Allocation of Standards Track
> Code Points defined in Section 3.1 of RFC 4020, on behalf of the authors
> of the WG draft "RSVP-TE Extensions for Collecting SRLG
> Information", draft-ietf-ccamp-rsvp-te-srlg-collect-03, it is requested
> to CCAMP WG chairs the early allocation  of the following values:
> 
> -->  Value for a new flag, named "SRLG Collection Flag" in the RSVP
> Attribute Bit Flags space. IANA has created a registry and manages the
> space of attributes bit flags of Attribute Flags TLV, as described in
> section 11.3 of [RFC5420], in the "Attributes TLV Space" section of the
> "Resource Reservation Protocol-Traffic Engineering (RSVP-TE)
> Parameters" registry located in
> https://www.iana.org/assignments/rsvp-te-parameters/rsvp-te-parameters.xhtml.
>  
>      The  document "RSVP-TE Extensions for Collecting SRLG
> Information",draft-ietf-ccamp-rsvp-te-srlg-collect-03, introduces and
> defines a new Attribute Bit Flag, named "SRLG Collection Flag". It is
> requested that IANA makes an early assignment of the  value of the "SRLG
> Collection Flag" from the Attribute Bit Flags. 
> 
> -->  Type for a new RRO sub-object, named "SRLG sub-object " within
> the ROUTE_RECORD Object space. IANA has made assignments in the "Class
> Names, Class Numbers, and Class Types" section of the "RSVP PARAMETERS"
> registry located at http://www.iana.org/assignments/rsvp-parameters.  
> It is requested that IANA makes an early assignment of the type of the
> new proposed RRO sub object in the
> document draft-ietf-ccamp-rsvp-te-srlg-collect-03 named "SRLG
> sub-object" from the ROUTE_RECORD portions of the mentioned registry.
> 
> The main reason for the request of the early allocation is to facilitate
> interoperability of early implementations, as other WG documents have
> also new values in the same registry and clashes have been identified
> with the suggested values in the drafts. We only request the allocation
> of those parameters whose definition we think to be stable.
> Best Regards,
> 
> Oscar
> 
> 
> ------------------------------------------------------------------------
> 
> Este mensaje se dirige exclusivamente a su destinatario. Puede consultar
> nuestra política de envío y recepción de correo electrónico en el enlace
> situado más abajo.
> This message is intended exclusively for its addressee. We only send and
> receive email on the basis of the terms set out at:

---

From: Oscar González de Dios <[email-masked]>
Date: Fri, 11 Oct 2013 07:55:43 +0000

Lou, Deborah,

        Thanks for the answer. Taking into account current ongoing discussions, I
am OK with postponing the request after Vancouver, as requested values
must be part of stable parameters.

        Best Regards,

                Oscar